CREATE TABLE mot_imp_resource_quotas (
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    BATCH_ID                 NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(10, 0) ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    INTERNAL_OVN             NUMBER(9, 0)  ,
    REQUEST_ID               NUMBER(18, 0) ,
    QUOTA_PLAN_NAME          VARCHAR2(400) ,
    TERRITORY_NUMBER         VARCHAR2(120) ,
    RESOURCE_EMAIL           VARCHAR2(1280),
    GOAL_NUMBER              VARCHAR2(120) ,
    RESOURCE_QUOTA_ID        NUMBER(18, 0) ,
    TERRITORY_QUOTA_ID       NUMBER(18, 0) ,
    QUOTA_PLAN_ID            NUMBER(18, 0) ,
    TERRITORY_VERSION_ID     NUMBER(18, 0) ,
    RESOURCE_ID              NUMBER        ,
    GOAL_ID                  NUMBER(18, 0) ,
    RESOURCE_QUOTA           NUMBER        ,
    UNIT_OF_MEASURE          VARCHAR2(120) ,
    RESOURCE_NAME            VARCHAR2(1440),
    GOAL_NAME                VARCHAR2(400) ,
    PARENT_TERITORY_NAME     VARCHAR2(240) ,
    TERRITORY_NAME           VARCHAR2(240) ,
    CURRENCY_CODE            VARCHAR2(60)  ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    ICM_STATUS_CODE          VARCHAR2(120) ,
    ICM_SUBMITTED_DATE       DATE          ,
    ALLOCATION_COMMENTS      VARCHAR2(2000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    INTERFACE_ROW_ID         NUMBER(18, 0) ,
    BATCH_ID                 NUMBER(18, 0) ,
    IMPORT_STATUS_CODE       VARCHAR2(120) ,
    ACTION_CODE              VARCHAR2(120) ,
    INTERNAL_ACTION_CODE     VARCHAR2(120) ,
    FILE_RECORD_NUM          NUMBER(10, 0) ,
    FILE_NAME_SYSTASK_ID     NUMBER(18, 0) ,
    INTERNAL_OVN             NUMBER(9, 0)  ,
    REQUEST_ID               NUMBER(18, 0) ,
    QUOTA_PLAN_NAME          VARCHAR2(400) ,
    TERRITORY_NUMBER         VARCHAR2(120) ,
    RESOURCE_EMAIL           VARCHAR2(1280),
    GOAL_NUMBER              VARCHAR2(120) ,
    RESOURCE_QUOTA_ID        NUMBER(18, 0) ,
    TERRITORY_QUOTA_ID       NUMBER(18, 0) ,
    QUOTA_PLAN_ID            NUMBER(18, 0) ,
    TERRITORY_VERSION_ID     NUMBER(18, 0) ,
    RESOURCE_ID              NUMBER        ,
    GOAL_ID                  NUMBER(18, 0) ,
    RESOURCE_QUOTA           NUMBER        ,
    UNIT_OF_MEASURE          VARCHAR2(120) ,
    RESOURCE_NAME            VARCHAR2(1440),
    GOAL_NAME                VARCHAR2(400) ,
    PARENT_TERITORY_NAME     VARCHAR2(240) ,
    TERRITORY_NAME           VARCHAR2(240) ,
    CURRENCY_CODE            VARCHAR2(60)  ,
    START_DATE               DATE          ,
    END_DATE                 DATE          ,
    ICM_STATUS_CODE          VARCHAR2(120) ,
    ICM_SUBMITTED_DATE       DATE          ,
    ALLOCATION_COMMENTS      VARCHAR2(2000),
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_mot_imp_resource_quotas PRIMARY KEY (INTERFACE_ROW_ID, BATCH_ID, INTERFACE_ROW_ID, BATCH_ID)
);
